Release Notes Update History

RevisionDateDescription

 

December 5, 2021Initial release of this document version.


As of MLNX_OFED version v5.1-0.6.6.0, the following are no longer supported.

  • ConnectX-3
  • ConnectX-3 Pro
  • Connect-IB
  • RDMA experimental verbs libraries (mlnx_lib)

To utilize the above devices/libraries, refer to version 4.9 long-term support (LTS).

Release Notes contain the following sections:

Supported NICs Speeds

The Linux Driver operates across all NVIDIA network adapter solutions supporting the following uplinks to servers:


Package Contents 

Package

Revision

Licenses

ar_mgr

1.0-5.10.0.MLNX20211020.gceea2f0.55103

Mellanox Confidential and Proprietary

clusterkit

1.5.407-1.55103

BSD

dapl

2.1.10.1.mlnx-OFED.4.9.0.1.4.55103

Dual GPL/BSD/CPL

dpcp

1.1.17-1.55103

Proprietary

dump_pr

1.0-5.10.0.MLNX20211107.g9b21597.55103

GPLv2 or BSD

fabric-collector

1.1.0.MLNX20170103.89bb2aa-0.1.55103

GPLv2 or BSD

hcoll

4.7.3202-1.55103

Proprietary

ibdump

6.0.0-1.55103

BSD2+GPL2

ibsim

0.10-1.55103

GPLv2 or BSD

ibutils2

2.1.1-0.143.MLNX20211118.gdf38b79d.55103

Mellanox Confidential and Proprietary

iser

5.5-OFED.5.5.1.0.3.1

GPLv2

isert

5.5-OFED.5.5.1.0.3.1

GPLv2

kernel-mft

4.18.0-106

Dual BSD/GPL

knem

1.1.4.90mlnx1-OFED.5.5.0.5.2.1

BSD and GPLv2

libvma

9.4.0-1

GPLv2 or BSD

libxlio

1.1.8-1

GPLv2 or BSD

mlnx-en

5.5-1.0.3.0.gf3bf963

GPLv2

mlnx-ethtool

5.13-1.55103

GPL

mlnx-iproute2

5.14.0-1.55103

GPL

mlnx-nfsrdma

5.5-OFED.5.5.1.0.3.1

GPLv2

mlnx-nvme

5.5-OFED.5.5.1.0.3.1

GPLv2

mlnx-ofa_kernel

5.5-OFED.5.5.1.0.3.1

GPLv2

mlnx-tools

5.2.0-0.55103

GPLv2

mlx-steering-dump

1.0.0-0.55103

GPLv2

mpi-selector

1.0.3-1.55103

BSD

mpitests

3.2.20-5d20b49.55103

BSD

mstflint

4.16.0-1.55103

GPL/BSD

multiperf

3.0-0.14.g5f0fd0e.55103

BSD 3-Clause, GPL v2 or later

ofed-docs

5.5-OFED.5.5.1.0.3

GPL/BSD

ofed-scripts

5.5-OFED.5.5.1.0.3

GPL/BSD

openmpi

4.1.2rc2-1.55103

BSD

opensm

5.10.0.MLNX20211115.e645cc83-0.1.55103

GPLv2 or BSD

openvswitch

2.15.1-1.55103

ASL 2.0 and LGPLv2+ and SISSL

perftest

4.5-0.12.ge93c538.55103

BSD 3-Clause, GPL v2 or later

rdma-core

55mlnx37-1.55103

GPLv2 or BSD

rshim

2.0.6-3.ge329c69

GPLv2

sharp

2.6.1.MLNX20211124.aac4a56-1.55103

Proprietary

sockperf

3.7-0.gita1e8e835a689.55103

BSD

srp

5.5-OFED.5.5.1.0.3.1

GPLv2

ucx

1.12.0-1.55103

BSD

xpmem

2.6.3-1.55103

GPLv2 and LGPLv2.1